Runtime

## org.eclipse.gmf.runtime.diagram.ui.requests
Class ShowHideRelationshipsRequest

    java.lang.Object
      org.eclipse.gef.Request
          org.eclipse.gmf.runtime.diagram.ui.requests.ShowHideRelationshipsRequest

public class ShowHideRelationshipsRequest
extends Request

Constructor Summary
`ShowHideRelationshipsRequest(java.util.List shapes, java.util.List relationshipTypesToShow, java.util.List relationshipTypesToHide)` Constructor for ShowHideRelationshipsRequest.

Method Summary
`java.util.List` `getRelationshipsToHide()` Method getRelationshipsToHide.
`java.util.List` `getRelationshipsToShow()` Method getRelationshipsToShow.
`java.util.List` `getSelectedShapes()` Method getShapes.

Methods inherited from class org.eclipse.gef.Request
`getExtendedData, getType, setExtendedData, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowHideRelationshipsRequest

    public ShowHideRelationshipsRequest(java.util.List shapes,
                                        java.util.List relationshipTypesToShow,
                                        java.util.List relationshipTypesToHide)

  Constructor for ShowHideRelationshipsRequest.

Parameters:
  `shapes` -
  `relationshipTypesToShow` -
  `relationshipTypesToHide` -

Method Detail

### getSelectedShapes

    public java.util.List getSelectedShapes()

  Method getShapes.

  Returns:
    List the list of `IAdaptable` shapes

### getRelationshipsToShow

    public java.util.List getRelationshipsToShow()

  Method getRelationshipsToShow.

  Returns:
    List

### getRelationshipsToHide

    public java.util.List getRelationshipsToHide()

  Method getRelationshipsToHide.

  Returns:
    List

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.